Subject: Re: [PATCH net-2.6.25][NETNS]: Fix race between put_net() and netlink_kernel_create().

From: Pavel Emelyanov <[email-masked]>
Date: Thu, 31 Jan 2008 14:05:57 +0300

David Miller wrote:
> From: Pavel Emelyanov <[email-masked]>
> Date: Thu, 24 Jan 2008 16:15:13 +0300
> 
>> The comment about "race free view of the set of network 
>> namespaces" was a bit hasty. Look (there even can be only 
>> one CPU, as discovered by Alexey Dobriyan and Denis Lunev):
>  ...
>> Instead, I propose to crate the socket inside an init_net
>> namespace and then re-attach it to the desired one right
>> after the socket is created.
>>
>> After doing this, we also have to be careful on error paths
>> not to drop the reference on the namespace, we didn't get
>> the one on.
>>
>> Signed-off-by: Pavel Emelyanov <[email-masked]>
>> Acked-by: Denis Lunev <[email-masked]>
> 
> Applied, thanks.
> 

Thanks, David.

I have one more patch pending in netdev@ and some more to be sent
(cleanups, small fixes and net namespaces). Do I have to wait till
net-2.6.26, or can I start (re-)sending them while 2.6.25 merge
window is open?

Thanks,
Pavel